import type { IntrospectionNamedTypeRef, IntrospectionSchema, IntrospectionType } from 'graphql';
import type { GetManyReferenceParams, UpdateManyParams, CreateParams, DeleteManyParams, GetListParams, GetManyParams, GetOneParams, DeleteParams, ListParams, UpdateParams } from 'ra-core';
import type { BuildQueryResult } from 'ra-data-graphql';
import { ProviderOptions, TypeConfigMap } from './types';
export declare const mapType: (idType: IntrospectionNamedTypeRef<any>, value: string | number, typeConfigMap?: TypeConfigMap | undefined) => any;
declare type IntrospectionResult = {
    schema: IntrospectionSchema;
    types: ReadonlyArray<IntrospectionType>;
    queries: Array<any>;
    resources: Array<any>;
};
declare type AllParams = GetOneParams | GetManyReferenceParams | UpdateManyParams | CreateParams | DeleteManyParams | GetListParams | GetManyParams | DeleteParams | ListParams | UpdateParams;
export declare const buildQuery: (options: ProviderOptions) => (introspectionResults: IntrospectionResult) => (raFetchType: string, resName: string, params: AllParams) => BuildQueryResult;
export {};
